#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/programs/mosflm/701//ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER RAXISIV

GAIN            0.770


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    1.5418
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  MIRRORS

# Alignment parameters
DISTANCE      140.213
BEAM          150.222 149.669
TWOTHETA      0.0
MATRIX        best.mat
#

# Crystal parameters
CELL          78.8495 78.8495 36.8522 90 90 90
SYMMETRY      P422
RESOLUTION    1.61
MOSAIC        0.342128

# Frame filename breakdown
DIRECTORY     /data2/jamesh/example_data_sets/RAXIS/stout_full
IDENTIFIER    test1_lysozyme_0111060
EXTENSION     .osc
TEMPLATE test1_lysozyme_0111060###.osc
#
#
# un-comment the following lines to run strategy interactively
#IMAGE 161
#GO
#
# current strategy
#strategy start 0 end 180 speedup 1
strategy start 0 end 180
go
start 0 end 180
go
stats
end

# calculate best oscillation widths
SEPARATION 1.40 1.6
testgen start 0 end 180 minosc 0.5 overlap 3
go

# best "next" strategy (given that "current" data are already collected)
strategy start 0 end 180 PARTS 2 
run
strategy auto
go
stats
end

# best, overall strategy
strategy auto
go
stats
end

# best, overall strategy for anomalous
strategy auto anomalous
go
stats
end

# calculate best oscillation widths
SEPARATION 1.40 1.6
testgen start 0 end 180 minosc 0.01 overlap 3
go

eof-ipmosflm
